Subject: Re: What's cooking in git.git (Jan 2016, #01; Mon, 4)

From: Stephen & Linda Smith <[email-masked]>
Date: Mon, 04 Jan 2016 21:32:27 -0700

On Monday, January 04, 2016 07:36:05 PM Junio C Hamano wrote:
> Stephen & Linda Smith <[email-masked]> writes:
> 
> > On Monday, January 04, 2016 03:44:33 PM Junio C Hamano wrote:
> >>  Becoming tired of waiting for a reroll.
> >>  ($gmane/271213).
> >>  Anybody wants to help rerolling this?  Otherwise will discard.
> >
> > <snip>
> >
> >> Becoming tired of waiting for a reroll.
> >>  Anybody wants to help rerolling this?  Otherwise will discard.
> >  > ($gmane/272180).
> >
> > What do you mean by rerolling this?  If you mean that you would
> > like someone to pick up the patch and try and get it though then I
> > don't mind helping.
> 
> More or less.  I do not mind if these topics disappeared, either,
> but we have spent review and discussion bandwidth for these
> unfinished topics and we may want to take them to the completion.
> 
> > For my education, how does this affect the sign-off proceedure?
> 
> Depending on the extent of changes from the original version, either
> you take the authorship (with comment in the log message saying that
> it is based on Such and Such's patches) or you still keep them as
> the author (with comment in the log message saying that you extended
> it in such and such way).  In either case, as long as their original
> remains in the resulting patch, you retain their Sign-off and then
> add your Sign-off at the end.
> 
> If you take the ideas from their series and rewrite everything from
> scratch, you would take the authorship, with comment in the log
> message saying that you took inspiration from Such and Such's
> patches, and have only your Sign-off.
> 
> 

If Will isn't interested in finishing these two patches I will pick them 
up [ ($gmane/271213), ($gmane/272180) ]

After that I will check look at some of the others for which you've 
asked for help.